Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 822417 - oVirt - Backend: Corrupt metadata doesn't trigger reconstructMaster
Summary: oVirt - Backend: Corrupt metadata doesn't trigger reconstructMaster
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: unspecified
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ---
: 3.3.4
Assignee: Nobody's working on this, feel free to take it
QA Contact:
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-05-17 09:58 UTC by Daniel Paikov
Modified: 2016-02-10 16:40 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-30 22:51:31 UTC
oVirt Team: Storage


Attachments (Terms of Use)
engine.log (deleted)
2012-05-17 09:58 UTC, Daniel Paikov
no flags Details

Description Daniel Paikov 2012-05-17 09:58:00 UTC
Created attachment 585157 [details]
engine.log

Last commit 2135832b31e068d7e281896c104b2dd0b29e67ef
+patch 111454633d29e5574566f72a9e5c3060b312ff48 by mkublin

When trying to reproduce bug #800839 by corrupting metadata, RHEVM doesn't send reconstructMaster and no new master domain is elected. According to mkublin, this is because the pool can't be found in database.

Comment 1 Itamar Heim 2013-01-30 22:51:31 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.